Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource.metadata.ext
Class WsrfMetadataExchangeClient

    java.lang.Object
      org.apache.muse.core.AbstractResourceClient
          org.apache.muse.ws.metadata.remote.MetadataExchangeClient
              org.apache.muse.ws.resource.metadata.ext.WsrfMetadataExchangeClient

All Implemented Interfaces:
  SoapMonitor

public class WsrfMetadataExchangeClient
extends MetadataExchangeClient

WsrfMetadataExchangeClient is an extension of Muse's MetadataExchangeClient to include a convenience method for retrieving the resource's metadata descriptor. The getRMD() method calls getMetadata() with the WS-RMD dialect and returns the resulting XML as a metadata descriptor object.

Author:
  Dan Jemiolo (danj)

Constructor Summary
`WsrfMetadataExchangeClient(EndpointReference destination)`
`WsrfMetadataExchangeClient(EndpointReference destination, EndpointReference source)`
`WsrfMetadataExchangeClient(EndpointReference destination, EndpointReference source, Environment environment)`
`WsrfMetadataExchangeClient(EndpointReference destination, EndpointReference source, SoapClient soapClient)`

Method Summary
`MetadataDescriptor` | `getRMD()`

Methods inherited from class org.apache.muse.ws.metadata.remote.MetadataExchangeClient
`getMetadata, getWSDL`

Methods inherited from class org.apache.muse.core.AbstractResourceClient
`getDestination, getEndpointReference, getSoapClient, getSoapMonitorPort, getSource, getTraceWriter, invoke, invoke, invoke, invoke, isUsingSoapMonitor, isUsingTrace, setTrace, setTraceWriter, startSoapMonitor, stopSoapMonitor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsrfMetadataExchangeClient

    public WsrfMetadataExchangeClient(EndpointReference destination,
                                      EndpointReference source,
                                      Environment environment)

### WsrfMetadataExchangeClient

    public WsrfMetadataExchangeClient(EndpointReference destination,
                                      EndpointReference source,
                                      SoapClient soapClient)

### WsrfMetadataExchangeClient

    public WsrfMetadataExchangeClient(EndpointReference destination,
                                      EndpointReference source)

### WsrfMetadataExchangeClient

    public WsrfMetadataExchangeClient(EndpointReference destination)

Method Detail

### getRMD

    public MetadataDescriptor getRMD()
                              throws SoapFault

  Throws:
    `SoapFault`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD